<?php

namespace FiloBlu\Flow\Plugin;
/**
 * Class CategoryPlugin
 * @package FiloBlu\Flow\Plugin
 */
class CategoryPlugin
{
    /**
     * @param $subject
     * @param $proceed
     * @return mixed
     */
    public function afterGetCategoryCollection($subject, $proceed)
    {
        $proceed->addExpressionAttributeToSelect('name', 'LOWER(CONCAT("(id:",{{entity_id}},")  ",{{name}}))', ['entity_id', 'name']);
        return $proceed;
    }
}
